<!DOCTYPE html>
<html lang="en-US">
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular.min.js"></script>
<body ng-app="myApp">
	
	<w3-test-directive></w3-test-directive>

	<script>
	var app = angular.module("myApp", []);
	app.directive("w3TestDirective", function() {
	  return {
		template : "<h1><blink>Made by own directive!</blink></h1>"
	  };
	});
	</script>
	
	you can create a directive using:
	<ul>
		<li>Element name</li>
		<li>Attribute</li>
		<li>Class</li>
		<li>Comment</li>
	</ul>
	
	Restrictions, You can restrict your directives to only be invoked by some of the methods.
	The legal restrict values are:

    E for Element name
    A for Attribute
    C for Class
    M for Comment

</body>
</html> 